jQuery(document).ready(function($){

  // ヘッダースライダーの選択部分
  if($('#input_header_type_slider:checked').val()) {
    $('#slider_area').show();
  } else {
    $('#slider_area').hide();
  }

  if($('#input_header_type_image:checked').val()) {
    $('#header_image_area').show();
  } else {
    $('#header_image_area').hide();
  }

  if($('#input_header_type_image2:checked').val()) {
    $('#header_image_area2').show();
  } else {
    $('#header_image_area2').hide();
  }

  $('#input_header_type_slider').click(function () {
    $('#slider_area').show();
    $('#header_image_area').hide();
    $('#header_image_area2').hide();
  });

  $('#input_header_type_image').click(function () {
    $('#header_image_area').show();
    $('#slider_area').hide();
    $('#header_image_area2').hide();
  });

  $('#input_header_type_image2').click(function () {
    $('#header_image_area2').show();
    $('#slider_area').hide();
    $('#header_image_area').hide();
  });

  $('#input_header_type_no_header').click(function () {
    $('#slider_area').hide();
    $('#header_image_area').hide();
    $('#header_image_area2').hide();
  });


  // アコーディオンの開閉・・・トップページの並び替え機能用
  $('.lf_accordion_headline a').click(function () {
    $(this).parents('.lf_accordion').toggleClass('open');
    return false;
  });

  // アコーディオンの開閉・・・目次の並び替え機能用
  // .on()だけだとpost.phpで上手く動作しない場合があるため.click()も残しておく
  $('.mokuji_accordion_headline a').click(function () {
    $(this).parents('.mokuji_accordion').toggleClass('open');
    return false;
  });
  $('#mokuji_area').on('click', '.mokuji_accordion_headline a', function(){
    $(this).parents('.mokuji_accordion').toggleClass('open');
    return false;
  });

  // ヘッダーコンテンツ以下のコンテンツ ソータブル
  $('#lf_accordions').sortable({
    handle: '.lf_accordion_headline'
  });

  // 目次 ソータブル
  $('#mokuji_area').sortable({
    handle: '.mokuji_accordion_headline',
    stop: function(){
      // nameの配列キーを置換する
      var cnt = 0;
      $('.mokuji_accordion :checked', this).attr('data-checked', 'checked');
      $('.mokuji_accordion', this).each(function(){
        cnt++;
        $('input',this).each(function(){
          this.name = this.name.replace(/\[\d+\]/, '['+cnt+']');
          if ($(this).attr('data-checked')) {
            $(this).attr('checked', 'checked').removeAttr('data-checked');
          }
        });
      });
      $('#add_mokuji').attr('data-cnt', cnt);
    }
  });

  // 目次 追加ボタン
  $('#add_mokuji').click(function(){
    var cnt = $(this).attr('data-cnt') || $('#mokuji_area').children('.mokuji_accordion').length || 0;
    cnt++;
    var $clone = $('#mokuji_default').clone().removeAttr('id').hide();
    $clone.find('input').each(function(){
      this.name = this.name.replace(/\[\d+\]/, '['+cnt+']');
      this.disabled = false;
      if ($(this).attr('data-checked')) {
        $(this).attr('checked', 'checked').removeAttr('data-checked');
      }
    });
    $clone.appendTo('#mokuji_area').slideDown('fast')
      .find('.mokuji_type:checked').trigger('change');
    $(this).attr('data-cnt', cnt);
    return false;
  });

  // 目次 削除ボタン
  $('#mokuji_area').on('click', '.delete_mokuji', function(){
    $(this).closest('.mokuji_accordion').slideUp('fast', function(){
      $(this).remove();
    });
    return false;
  });

  // 目次 項目タイプ変更時
  $('#mokuji_area').on('change', '.mokuji_type', function(){
    var t = $(this).parent().text().trim();
    if (t) {
      t += ': ';
    }
    $(this).closest('.mokuji_accordion').find('span.label1').text(t);
  });
  $('.mokuji_type:checked').trigger('change');

  // 目次 項目名変更時
  $('#mokuji_area').on('keyup', '.mokuji_label', function(){
    $(this).closest('.mokuji_accordion').find('span.label2').text(this.value);

  });

  // 目次ショートコードフォーカス
  $('#mokuji_code :text').click(function(){
    $(this).select();
  });

  $('select[name=mySelect]').click( function(){
    alert( $(this).val() );
  });


  // 項目のタイプによって色を変更
  $('.mokuji_type_type1').live('click', function() {
    var parent_div = $(this).closest('.mokuji_accordion');
    if(parent_div.hasClass('type_chapter')) {
      parent_div.removeClass('type_chapter');
      parent_div.addClass('type_index');
    } else {
      parent_div.addClass('type_index');
    }
  });

  $('.mokuji_type_type2').live('click', function() {
    var parent_div = $(this).closest('.mokuji_accordion');
    if(parent_div.hasClass('type_index')) {
      parent_div.removeClass('type_index');
      parent_div.addClass('type_chapter');
    } else {
      parent_div.addClass('type_chapter');
    }
  });

});