<?php

function get_youngest_cat($categories){
global $post;
if(count($categories) == 1 ){
$youngest = $categories[0];
} else {
foreach($categories as $category){
$children = get_term_children( $category -> term_id,'category');
if($children){
foreach($children as $child){
if( ! in_category( $child, $post -> ID ) ){
$youngest = $category;
}
}
}
else{
$youngest = $category;
}
}
}
return $youngest;
}

function breadcrumb(){
	global $post;
	if(!is_home()&&!is_admin()){ /* !is_admin は管理ページ以外という条件分岐 */
		echo "<ul class='clearfix'>\n";
		echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url" href="'. home_url() .'/"><span itemprop="title">' . __('Home', 'lifefit') . "</span></a></li>\n";
		
		if(is_search()){
			echo "<li itemscope itemtype='http://data-vocabulary.org/Breadcrumb'><span itemprop='title'>\n" . __('Search results', 'lifefit') . "</span></li>\n";
		} elseif(is_tag()){
			echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">'. single_tag_title( '' , false ). "</span></li>\n";
		} elseif(is_404()){
			echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">'. __('404 Not found', 'lifefit') ."</span></li>\n";
		} elseif(is_date()){
			if(get_query_var('day') != 0){
				echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url" href="'. get_year_link(get_query_var('year')). '"><span itemprop="title">';
                                printf(__('%s', 'lifefit'), get_the_time(__('Y', 'lifefit')));
                                echo "</span></a></li>\n";
				echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url" href="'. get_month_link(get_query_var('year'), get_query_var('monthnum')). '"><span itemprop="title">';
                                printf(__('%s', 'lifefit'), get_the_time(__('F', 'lifefit')));
                                echo "</span></a></li>\n";
				echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">';
                                printf(__('%s', 'lifefit'), get_the_time(__('jS', 'lifefit')));
                                echo "</span></li>\n";
			} elseif(get_query_var('monthnum') != 0){
				echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url" href="'. get_year_link(get_query_var('year')) .'"><span itemprop="title">';
                                printf(__('%s', 'lifefit'), get_the_time(__('Y', 'lifefit')));
                                echo "</span></a></li>\n";
				echo "<li itemscope itemtype='http://data-vocabulary.org/Breadcrumb'><span itemprop='title'>";
                                printf(__('%s', 'lifefit'), get_the_time(__('F', 'lifefit')));
                                echo "</span></li>\n";
			} else {
				echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">';
                                printf(__('%s', 'lifefit'), get_the_time(__('Y', 'lifefit')));
                                echo "</span></li>\n";
			}
		} elseif(is_category()) {
			$cat = get_queried_object();
			if($cat -> parent != 0){
				$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
				foreach($ancestors as $ancestor){
					echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url" href="'. get_category_link($ancestor) .'"><span itemprop="title">'. get_cat_name($ancestor) ."</span></a></li>\n";
				}
			}
			echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">'. $cat -> name . "</span></li>\n";
		} elseif(is_author()){
			echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">'. get_the_author_meta('display_name', get_query_var('author'))."</span></li>\n";
		} elseif(is_page()){
			if($post -> post_parent != 0 ){
				$ancestors = array_reverse(get_post_ancestors( $post->ID ));
				foreach($ancestors as $ancestor){
					echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url" href="'. get_permalink($ancestor).'"><span itemprop="title">'. get_the_title($ancestor) ."</span></a></li>\n";
				}
			}
			echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">'. $post -> post_title ."</span></li>\n";
			
		} elseif(is_attachment()){
			if($post -> post_parent != 0 ){
				echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url" href="'. get_permalink($post -> post_parent).'"><span itemprop="title">'. get_the_title($post -> post_parent) ."</span></a></li>\n";
			}
			echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">' . $post -> post_title . "</span></li>\n";
		} elseif(is_single()){
			$categories = get_the_category($post->ID);
                        $cat = get_youngest_cat($categories);
			if($cat -> parent != 0){
				$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
				foreach($ancestors as $ancestor){
					echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url" href="'. get_category_link($ancestor).'"><span itemprop="title">'. get_cat_name($ancestor). "</span></a></li>\n";
				}
			}
			echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url" href="'. get_category_link($cat -> term_id). '"><span itemprop="title">'. $cat-> cat_name . "</span></a></li>\n";
			echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">';
                        trim_title(45);
                        echo "</span></li>\n";
		} else{
			echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">'. wp_title('', false) ."</span></li>\n";
		}
		echo "</ul>\n";
	}
}

?>