<?php

class free_widget extends WP_Widget {

 // constructor
 function free_widget() {
   $widget_ops = array( 'classname' => 'free_widget', 'description' => __('Free code space widget.You can use adsence code here.','lifefit') ); // Widget Settings
   $control_ops = array( 'id_base' => 'free_widget' ); // Widget Control Settings
   $this->WP_Widget( 'free_widget', __('Free code space (POSPA ver)','lifefit'), $widget_ops, $control_ops ); // Create the widget
 }

 // widget form creation
 function form($instance) {

   if($instance) {
     $free_code = esc_textarea($instance['free_code']);
     $fixed = esc_attr($instance['fixed']);
   } else {
     $free_code = '';
     $fixed = '';
   }

?>

<p style="margin-bottom:5px;"><?php _e('Free code', 'lifefit'); ?></p>
<p><textarea style="width:100%; height:300px;" id="<?php echo $this->get_field_id('free_space'); ?>" name="<?php echo $this->get_field_name('free_code'); ?>"><?php echo $free_code; ?></textarea></p>
<p>
 <input id="<?php echo $this->get_field_id('fixed'); ?>" name="<?php echo $this->get_field_name('fixed'); ?>" type="checkbox" value="1" <?php checked( '1', $fixed ); ?> />
 <label for="<?php echo $this->get_field_id('fixed'); ?>"><?php _e('Check if you want to fixed this widget.', 'lifefit'); ?></label>
</p>

<?php
 }

 // Update Settings
 function update($new_instance, $old_instance) {
  $instance = $old_instance;
  $instance['free_code'] = $new_instance['free_code'];
  $instance['fixed'] = strip_tags($new_instance['fixed']);
  return $instance;
 }

 // display widget
 function widget($args, $instance) {
   extract( $args );
   // these are the widget options
   $free_code = $instance['free_code'];
   $fixed = $instance['fixed'];
   echo $before_widget;
   // Display the widget
   if( $fixed AND $fixed == '1' ) {
     echo '<div class="fixed_free_space">';
   } else {
     echo '<div>';
   };
   // Check if textarea is set
   if( $free_code ) {
     echo $free_code;
   }
   echo '</div>';
   echo $after_widget;
 }

}

add_action('widgets_init', create_function('', 'return register_widget("free_widget");'));

?>