<?php
     $options = get_pospa_option();
     if(is_home()) { // gbvy[W̏ꍇ -------------------------------------------------------------------------------------------
       if($options['header_type']=='slider') {
?>
<div id="header_contents">
 <div id="content_slider" class="flexslider clearfix">
   <?php
        $post_type = $options['slider_type'];
        $post_num = $options['slider_num'];
        $excerpt_num = $options['slider_excerpt'];

        if($post_type=='recent_post') {
          $args = array('post_type' => 'post', 'posts_per_page' => $post_num);
        } else {
          $args = array('post_type' => 'post', 'posts_per_page' => $post_num, 'meta_key' => $post_type, 'meta_value' => 'on', 'orderby' => 'rand');
        };
        $slider_post = get_posts($args);

        if ($slider_post) {
   ?>
   <ul class="slides">
    <?php foreach ($slider_post as $post) : setup_postdata ($post); ?>
    <li class="clearfix">
     <a class="image" title="<?php the_title(); ?>" href="<?php the_permalink() ?>"><?php if ( has_post_thumbnail()) { the_post_thumbnail('size1'); } else { echo '<img src="'; bloginfo('template_url'); echo '/img/common/no_image1.gif" alt="" title="" />'; }; ?></a>
     <div class="post_data clearfix">
      <h1 class="post_title"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h1>
      <?php if ($options['show_date'] or $options['show_author'] or $options['show_category']) { ?>
      <div class="post_meta_top clearfix">
       <?php if ($options['show_date']) { ?><p class="post_date"><?php the_time('Y.m.d'); ?></p><?php }; ?>
       <?php if ($options['show_author']) : ?><p class="post_author"><?php the_author_posts_link(); ?></p><?php endif; ?>
       <?php if ($options['show_category']) : if(has_category()) { ?><p class="post_category"><?php the_category(' '); ?></p><?php }; endif; ?>
       <?php if ($options['show_comment']) : ?><p class="post_comment"><i></i><span><a href="<?php comments_link(); ?>"><?php comments_number( '0','1','%' ); ?></a></span></p><?php endif; ?>
      </div>
      <?php }; ?>
      <p class="post_excerpt clearfix"><?php new_excerpt($excerpt_num); ?></p>
      <a class="link" href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php _e('Read more','lifefit'); ?></a>
     </div>
    </li>
    <?php endforeach; wp_reset_query(); ?>
   </ul>
   <?php }; ?>
 </div><!-- #content slider -->
</div><!-- #header_contents -->
<?php
       } elseif($options['header_type']=='image') {
         if (get_header_image() !='') {
?>
<div id="header_contents">
 <div id="header_image">
  <img src="<?php header_image(); ?>" alt="" title="" />
 </div>
</div><!-- #header_contents -->
<?php
         };
       } elseif($options['header_type']=='image2') {
         if($options['header_image']) {
?>
<div id="header_image2">
 <img src="<?php esc_attr_e( $options['header_image'] ); ?>" alt="" title="" />
</div>
<?php
         };
       }; //end header type
     } elseif(is_archive()) { // A[JCuy[W̏ꍇ -------------------------------------------------------------------------------------------

     //JeS[p摜̏o
     $cat_id = get_query_var('cat');
     $cat_data = get_option("cat_$cat_id");

?>
<div id="header_contents">
 <?php if (is_category()) { ?>
 <h3 class="archive_headline"><?php printf(__('Archive for the &#8216; %s &#8217; Category', 'lifefit'), single_cat_title('', false)); ?><?php if (!empty($cat_data['sub_title'])){ ?><span><?php echo $cat_data['sub_title']; ?></span><?php }; ?></h3>

 <?php } elseif( is_tag() ) { ?>
 <h3 class="archive_headline"><?php printf(__('Posts Tagged &#8216; %s &#8217;', 'lifefit'), single_tag_title('', false) ); ?></h3>

 <?php } elseif (is_day()) { ?>
 <h3 class="archive_headline"><?php printf(__('Archive for &#8216; %s &#8217;', 'lifefit'), get_the_time(__('F jS, Y', 'lifefit'))); ?></h3>

 <?php } elseif (is_month()) { ?>
 <h3 class="archive_headline"><?php printf(__('Archive for &#8216; %s &#8217;', 'lifefit'), get_the_time(__('F, Y', 'lifefit'))); ?></h3>

 <?php } elseif (is_year()) { ?>
 <h3 class="archive_headline"><?php printf(__('Archive for &#8216; %s &#8217;', 'lifefit'), get_the_time(__('Y', 'lifefit'))); ?></h3>

 <?php } elseif (is_author()) { ?>
 <?php global $wp_query; $curauth = $wp_query->get_queried_object(); //get the author info ?>
 <h3 class="archive_headline"><?php printf(__('Archive for the &#8216; %s &#8217;', 'lifefit'), $curauth->display_name ); ?></h3>

 <?php } else { ?>
 <h3 class="archive_headline"><?php _e('Blog Archives', 'lifefit'); ?></h3>
 <?php }; ?>
</div><!-- #header_contents -->

<?php } elseif(is_page()) { // y[W̏ꍇ ------------------------------------------------------------------------------------------- ?>
<div id="header_contents">
 <h2 id="page_title"><?php the_title(); ?></h2>
</div><!-- #header_contents -->

<?php } else { // ̑̃y[W̏ꍇ ------------------------------------------------------------------------------------------- ?>
<div id="header_contents">
 <div id="bread_crumb">
  <?php breadcrumb(); ?>
 </div>
</div><!-- #header_contents -->
<?php }; ?>

