<?php get_header(); $options = get_pospa_option(); ?>

<div id="main_col" class="clearfix">

 <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

 <div id="single_title" class="clearfix">
  <h2><?php the_title(); ?></h2>
  <?php if ($options['show_date']) { ?><p id="post_single_date"><span class="date"><?php the_time('m.d'); ?></span><span class="year"><?php the_time('Y'); ?></span></p><?php }; ?>
 </div>

  <?php if ($options['show_est']) { ?>
  <p class="post_time">
   <?php
         $mycontent = $post->post_content;
         $word = mb_strlen(strip_tags($mycontent));
         $m = floor($word / 1000) + 1 ;
         $est = $m;
         printf(__("You can read this post in %d minutes.","lifefit"), $est);
   ?>
  </p>
  <?php }; ?>

  <?php if(function_exists('bac_PostViews')) { bac_PostViews(get_the_ID()); } // count post view ?>

  <?php if(is_mobile()) {  if($options['single_code1_mobile']) { ?>
  <div class="post_content single_free_space clearfix" id="single_free_space_top">
   <?php echo $options['single_code1_mobile']; ?>
  </div>
  <?php }; } else { if($options['single_code1']) { ?>
  <div class="post_content single_free_space clearfix" id="single_free_space_top">
   <?php echo $options['single_code1']; ?>
  </div>
  <?php }; }; ?>

  <div class="post_content clearfix">
   <?php the_content(); ?>
   <?php wp_link_pages(); ?>
  </div>

  <?php if(is_mobile()) {  if($options['single_code2_mobile']) { ?>
  <div class="post_content single_free_space clearfix">
   <?php echo $options['single_code2_mobile']; ?>
  </div>
  <?php }; } else { if($options['single_code2']) { ?>
  <div class="post_content single_free_space clearfix">
   <?php echo $options['single_code2']; ?>
  </div>
  <?php }; }; ?>

  <div id="post_meta" class="clearfix">
   <?php if ($options['show_date'] or $options['show_author'] or $options['show_category'] or $options['show_tag'] or $options['show_comment']) { ?>
   <ul class="clearfix">
    <?php if ($options['show_date']) { ?><li class="post_date"><?php the_time('Y.m.d'); ?></li><?php }; ?>
    <?php if ($options['show_author']) : ?><li class="post_author"><?php the_author_posts_link(); ?></li><?php endif; ?>
    <?php if ($options['show_category']) : ?><li class="post_category"><?php the_category(', '); ?></li><?php endif; ?>
    <?php if ($options['show_tag']): ?><?php the_tags('<li class="post_tag">',', ','</li>'); ?><?php endif; ?>
    <?php if ($options['show_comment']) : ?><li class="post_comment"><?php comments_popup_link(__('Write comment', 'lifefit'), __('1 comment', 'lifefit'), __('% comments', 'lifefit')); ?></li><?php endif; ?>
    <?php edit_post_link(__('[ EDIT ]', 'lifefit'), '<li class="post_edit">', '</li>' ); ?>
   </ul>
   <?php }; ?>
   <?php if ($options['show_bookmark']) { include('bookmark2.php'); }; ?>
  </div>

  <?php if(is_mobile()) {  if($options['single_code3_mobile']) { ?>
  <div class="post_content single_free_space clearfix" id="single_free_space_bottom">
   <?php echo $options['single_code3_mobile']; ?>
  </div>
  <?php }; } else { if($options['single_code3']) { ?>
  <div class="post_content single_free_space clearfix" id="single_free_space_bottom">
   <?php echo $options['single_code3']; ?>
  </div>
  <?php }; }; ?>

  <?php endwhile; endif; ?>

  <?php // related post
       if ($options['show_related_post']) {
       $odd_or_even = 'odd';
       $categories = get_the_category($post->ID);
       if ($categories) {
       $category_ids = array();
        foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
         $args=array(
                     'category__in' => $category_ids,
                     'post__not_in' => array($post->ID),
                     'showposts'=>4,
                     'orderby' => 'rand'
                   );
       $my_query = new wp_query($args);
       if($my_query->have_posts()) {
  ?>
  <h3 class="headline1"><?php _e("Related post","lifefit"); ?></h3>
  <div id="related_post">
   <ol class="clearfix">
    <?php while ($my_query->have_posts()) { $my_query->the_post(); ?>
    <li class="clearfix">
     <?php if ($options['show_thumbnail']) { ?><a class="image" href="<?php the_permalink() ?>"><?php if ( has_post_thumbnail()) { echo the_post_thumbnail('size4'); } else { echo '<img src="'; bloginfo('template_url'); echo '/img/common/no_image4.gif" alt="" title="" />'; }; ?></a><?php }; ?>
     <div class="info">
      <?php if ($options['show_date']) { ?><p class="post_list_date"><?php the_time('Y.m.d'); ?></p><?php }; ?>
      <h5 class="title"><a href="<?php the_permalink() ?>"><?php trim_title(40); ?></a></h5>
     </div>
    </li>
    <?php }; ?>
   </ol>
  </div>
  <?php }; }; wp_reset_query(); }; ?>

  <?php if ($options['show_comment']) : if (function_exists('wp_list_comments')) { comments_template('', true); } else { comments_template(); }; endif; ?>

  <?php if ($options['show_next_post']) { ?>
  <div id="next_prev_link" class="clearfix">
   <?php lifefit_previous_post_link(27, '<p class="prev_post">%link</p>'); ?>
   <?php lifefit_next_post_link(27, '<p class="next_post">%link</p>'); ?>
  </div>
  <?php }; ?>

</div><!-- END #main_col -->

<?php include('sidebar.php'); ?>
<?php if($options['layout']=='three_column1' or $options['layout']=='three_column2') { get_template_part('sidebar2'); }; ?>

<?php get_footer(); ?>